package com.uas.search.model;

import java.sql.ResultSet;
import java.sql.SQLException;
import javax.persistence.*;
import java.io.Serializable;
import org.springframework.jdbc.core.RowMapper;

/**
 * PCB
 *
 * @author sunyj
 * @since 2018/4/25 17:24
 */
@Entity
@Table(name = "product$pcb")
public class PCB implements RowMapper, Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @Id
    @Column(name = "pcb_id")
    private Long id;

    /**
     * 品牌
     */
    @ManyToOne
    @JoinColumn(name = "pcb_brandid", insertable = false, updatable = false)
    private Brand brand;

    /**
     * 品牌id
     */
    @Column(name = "pcb_brandid")
    private Long brandId;

    /**
     * 类目
     */
    @ManyToOne
    @JoinColumn(name = "pcb_kindid", insertable = false, updatable = false)
    private Kind kind;

    /**
     * 类目id
     */
    @Column(name = "pcb_kindid")
    private Long kindId;

    /**
     * 物料
     */
    @OneToOne
    @JoinColumn(name = "pcb_productid", insertable = false, updatable = false)
    private Products products;


    /**
     * 物料id
     */
    @Column(name = "pcb_productid")
    private Long productId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Brand getBrand() {
        return brand;
    }

    public void setBrand(Brand brand) {
        this.brand = brand;
    }

    public Kind getKind() {
        return kind;
    }

    public void setKind(Kind kind) {
        this.kind = kind;
    }

    public Products getProducts() {
        return products;
    }

    public void setProducts(Products products) {
        this.products = products;
    }

    public Long getBrandId() {
        return brandId;
    }

    public void setBrandId(Long brandId) {
        this.brandId = brandId;
    }

    public Long getKindId() {
        return kindId;
    }

    public void setKindId(Long kindId) {
        this.kindId = kindId;
    }

    public Long getProductId() {
        return productId;
    }

    public void setProductId(Long productId) {
        this.productId = productId;
    }

    @Override
    public String toString() {
        return "PCB{" +
                "id=" + id +
                ", brand=" + brand +
                ", kind=" + kind +
                ", products=" + products +
                '}';
    }

    @Override
    public PCB mapRow(ResultSet rs, int i) throws SQLException {
        PCB pcb = new PCB();
        pcb.setId(rs.getLong("pcb_id"));
        pcb.setBrandId(rs.getLong("pcb_brandid"));
        pcb.setKindId(rs.getLong("pcb_kindid"));
        pcb.setProductId(rs.getLong("pcb_productid"));
        return pcb;
    }
}
