package com.uas.search.service;

import java.util.List;

/**
 * 利用jdbcTemplate进行的主要查询
 * Created by wangyc on 2018/6/11.
 *
 * @version 2018/6/11 15:47 wangyc
 */
public interface JdbcService<T> {

    /**
     * 获取该表全部数据
     * @param tablename 表名
     * @return
     */
    Long getTotalElements(String tablename);

    /**
     * 获取最大ID
     * @param tableName
     * @param idColumn
     * @return
     */
    Long getMaxId(String tableName, String idColumn);

    /**
     * 获取最小ID
     * @param tableName
     * @param idColumn
     * @return
     */
    Long getMinId(String tableName, String idColumn);

    /**
     * 获取起止id
     * @param tablename 表名
     * @param direction 排序方向
     * @param sortField 排序字段
     * @param start 起始位置
     * @param size 间隔
     * @return
     */
    List<Long> getLimitId(String tablename, String direction, String sortField, Long start, Integer size);

    /**
     * 获取数据库字段名
     * @param className class
     * @param property 属性名
     * @return
     * @throws NoSuchFieldException NoSuchFieldException
     */
    String abstractTransform(Class className, String property) throws NoSuchFieldException;

    /**
     * 获取数据
     * @param tableName 表名
     * @param startId 起始id
     * @param endId 结束id
     * @param sortField 排序字段
     * @param direct 排序方向
     * @return
     */
    List<T> getData(String tableName, Long startId, Long endId, String sortField, String direct);
}
