package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.MappedSuperclass;

/**
 * 订单通用物料字段，代替以前的products数据
 *
 * @author hejq
 * @date 2018-07-31 9:26
 */
@MappedSuperclass
public abstract class AbstractOrderProduct {

    public static final String PRODUCT_CODE_FIELD = "pr_code";

    public static final String PRODUCT_TITLE_FIELD = "pr_title";

    public static final String PRODUCT_SPEC_FIELD = "pr_spec";

    public static final String PRODUCT_BRAND_FIELD = "pr_brand";

    public static final String PRODUCT_CMPCODE_FIELD = "pr_cmpcode";

    /**
     * 编号
     */
    @Column(name = PRODUCT_CODE_FIELD)
    protected String productCode;

    /**
     * 名称
     */
    @Column(name = PRODUCT_TITLE_FIELD)
    protected String productTitle;

    /**
     * 规格
     */
    @Column(name = PRODUCT_SPEC_FIELD)
    protected String productSpec;

    /**
     * 品牌
     */
    @Column(name = PRODUCT_BRAND_FIELD)
    protected String productBrand;

    /**
     * 原厂型号(erp)
     */
    @Column(name = PRODUCT_CMPCODE_FIELD)
    protected String productCmpCode;

    public String getProductCode() {
        return productCode;
    }

    public void setProductCode(String productCode) {
        this.productCode = productCode;
    }

    public String getProductTitle() {
        return productTitle;
    }

    public void setProductTitle(String productTitle) {
        this.productTitle = productTitle;
    }

    public String getProductSpec() {
        return productSpec;
    }

    public void setProductSpec(String productSpec) {
        this.productSpec = productSpec;
    }

    public String getProductBrand() {
        return productBrand;
    }

    public void setProductBrand(String productBrand) {
        this.productBrand = productBrand;
    }

    public String getProductCmpCode() {
        return productCmpCode;
    }

    public void setProductCmpCode(String productCmpCode) {
        this.productCmpCode = productCmpCode;
    }
}
