package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 采购预测单
 * 
 * @author hejq
 * @date 2018-07-31 10:53
 */
@Table(name = "purc$forecastitems")
@Entity
public class PurchaseForecastItemSimpleInfo extends AbstractOrderProduct{

	@Id
	@Column(name = "pfd_id")
	private Long id;

	/**
	 * 采购预测企业
	 */
	@OneToOne
	@JoinColumn(name = "pfd_venduu", insertable = false, updatable = false)
	private EnterpriseSimpleInfo enterprise;

	/**
	 * 供应商
	 */
	@OneToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "pfd_venduu", insertable = false, updatable = false)
	private EnterpriseSimpleInfo vend;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public EnterpriseSimpleInfo getVend() {
		return vend;
	}

	public void setVend(EnterpriseSimpleInfo vend) {
		this.vend = vend;
	}

	public EnterpriseSimpleInfo getEnterprise() {
		return enterprise;
	}

	public void setEnterprise(EnterpriseSimpleInfo enterprise) {
		this.enterprise = enterprise;
	}

	@Override
	public String toString() {
		return "PurchaseForecastItemSimpleInfo{" +
				"id=" + id +
				", enterprise=" + enterprise +
				", productCode='" + productCode + '\'' +
				", vend=" + vend +
				", productTitle='" + productTitle + '\'' +
				", productSpec='" + productSpec + '\'' +
				", productBrand='" + productBrand + '\'' +
				", productCmpCode='" + productCmpCode + '\'' +
				'}';
	}
}