package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 平台里面的订单变更单明细
 * 
 * @author yingp
 * 
 */
@Table(name = "purc$changeitems")
@Entity
public class PurchaseOrderChangeItemSimpleInfo {

	@Id
	@Column(name = "pcd_id")
	private Long id;

	/**
	 * 序号
	 */
	@Column(name = "pcd_number")
	private Short number;

	/**
	 * 采购订单明细
	 */
	@OneToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "pcd_pdid", insertable = false, updatable = false)
	private PurchaseOrderItemSimpleInfo purcOrders;

	/**
	 * 新物料编号
	 */
	@Column(name = "pcd_newprcode")
	private String newProductCode;

	/**
	 * 新物料名称
	 */
	@Column(name = "pcd_newprtitle")
	private String newProductTitle;

	/**
	 * 新物料规格
	 */
	@Column(name = "pcd_newprspec")
	private String newProductSpec;

	/**
	 * 原物料编号
	 */
	@Column(name = "pcd_oldprcode")
	private String oldProductCode;

	/**
	 * 原物料名称
	 */
	@Column(name = "pcd_oldprtitle")
	private String oldProductTitle;

	/**
	 * 原物料规格
	 */
	@Column(name = "pcd_oldprspec")
	private String oldProductSpec;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Short getNumber() {
		return number;
	}

	public void setNumber(Short number) {
		this.number = number;
	}

	public PurchaseOrderItemSimpleInfo getPurcOrders() {
		return purcOrders;
	}

	public void setPurcOrders(PurchaseOrderItemSimpleInfo purcOrders) {
		this.purcOrders = purcOrders;
	}

	public String getNewProductCode() {
		return newProductCode;
	}

	public void setNewProductCode(String newProductCode) {
		this.newProductCode = newProductCode;
	}

	public String getNewProductTitle() {
		return newProductTitle;
	}

	public void setNewProductTitle(String newProductTitle) {
		this.newProductTitle = newProductTitle;
	}

	public String getNewProductSpec() {
		return newProductSpec;
	}

	public void setNewProductSpec(String newProductSpec) {
		this.newProductSpec = newProductSpec;
	}

	public String getOldProductCode() {
		return oldProductCode;
	}

	public void setOldProductCode(String oldProductCode) {
		this.oldProductCode = oldProductCode;
	}

	public String getOldProductTitle() {
		return oldProductTitle;
	}

	public void setOldProductTitle(String oldProductTitle) {
		this.oldProductTitle = oldProductTitle;
	}

	public String getOldProductSpec() {
		return oldProductSpec;
	}

	public void setOldProductSpec(String oldProductSpec) {
		this.oldProductSpec = oldProductSpec;
	}

	@Override
	public String toString() {
		return "PurchaseOrderChangeItemSimpleInfo{" +
				"id=" + id +
				", number=" + number +
				", purcOrders=" + purcOrders +
				", newProductCode='" + newProductCode + '\'' +
				", newProductTitle='" + newProductTitle + '\'' +
				", newProductSpec='" + newProductSpec + '\'' +
				", oldProductCode='" + oldProductCode + '\'' +
				", oldProductTitle='" + oldProductTitle + '\'' +
				", oldProductSpec='" + oldProductSpec + '\'' +
				'}';
	}
}